//勤务等级
import request from "@/utils/request";
const api = "/mosty-api/mosty-qwzx";
// 分页查询
export function getqwdj(params) {
  return request({
    url: api + '/tbQwQwdj',
    method: 'GET',
    params
  })
}
//新增
export function addQwdj(data) {
    return request({
        url: api + '/tbQwQwdj',
        method: 'POST',
        data
    })
}
//删除
export function deleteQwdj(id) {
    return request({
        url: api + `/tbQwQwdj/${id}`,
        method: 'delete'
    })
}
//详情
export function getQwdjInfo(id) {
    return request({
        url: api + `/tbQwQwdj/${id}`,
        method: 'GET',
    })
}

// 修改
export function updateQwdj(data) {
    return request({
        url: api + '/tbQwQwdj',
        method: 'put',
        data
    })
}
// 发布
export function fabuzt(data){
    return request({
        url:api + `/tbQwQwdj/publish`,
        method:'post',
        data
    })
}

// 节假期数据
export function getVacationData(data){
    return request({
        url:api + `/tbQwJjr/getPageList`,
        method:'post',
        data
    })
}
// 节假期数据 新增
export function getVacationAdd(data){
    return request({
        url:api + `/tbQwJjr/add`,
        method:'post',
        data
    })
}
// 节假期数据 编辑
export function getVacationUpdate(data){
    return request({
        url:api + `/tbQwJjr/update`,
        method:'post',
        data
    })
}
// 节假期数据删除单个
export function getVacationDelete(id){
    return request({
        url:api + `/tbQwJjr/del/${id}`,
        method:'post',
    })
}
// 节假期数据删除批量
export function getVacationDeleteMore(data){
    return request({
        url:api + `/tbQwJjr/deleteBatch?ids=${data}`,
        method:'post'
    })
}